proc ts {b} {
    if { $b == "b" } { set a "btime" } else { set a "time" }
    if { $::TAC($a) || $b == "y" } {
        if { $::TAC(time12) == 12 } {
            set tmst [clock format [clock seconds] -format %I:%M:%S%p]
        } else {
            set tmst [clock format [clock seconds] -format %H:%M:%S]
        }
        return "$tmst "
    }
}

proc tac_cmd_timestamp {exp line} {
    if { $::TAC(time) == 0 } {
        set ::TAC(time) 1
        tac_output "Message timestamps now ON."
    } else {
        set ::TAC(time) 0
        tac_output "Message timestamps now OFF."
    }
}

proc tac_cmd_btimestamp {exp line} {
    if { $::TAC(btime) == 0 } {
        set ::TAC(btime) 1
        tac_output "Buddy timestamps now ON."
    } else {
        set ::TAC(btime) 0
        tac_output "Buddy timestamps now OFF."
    }
}

tac_register_cmd "^/tm$"      tac_cmd_timestamp      "  /tm              toggle message timestamps"
tac_register_cmd "^/tb$"      tac_cmd_btimestamp     "  /tb              toggle buddy timestamps"

set TAC(time) 0
set TAC(btime) 0
set TAC(time12) 12
